Package org.snpeff.align

# Class NeedlemanWunschOverlap

java.lang.Object
org.snpeff.align.NeedlemanWunschOverlap

public class NeedlemanWunschOverlap extends Object
Needleman-Wunsch algorithm for string alignment (short strings, since it's not memory optimized)

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`NeedlemanWunschOverlap(String a, String b)`

## Method Summary

Modifier and Type
Method
Description
`String`
`align()`
`String`
`calcAlignment()`
`int`
`calcAlignmentScore()`
Calculate score matrix
`int`
`getAligmentScore()`
`String`
`getAlignment()`
`void`
`setDeletion(int deletion)`
`void`
`setMatch(int match)`
`void`
`setMissMatch(int missMatch)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NeedlemanWunschOverlap

public NeedlemanWunschOverlap(String a, String b)

## Method Details

### align

public String align()

### calcAlignment

public String calcAlignment()

### calcAlignmentScore

public int calcAlignmentScore()
Calculate score matrix

### getAligmentScore

public int getAligmentScore()

### getAlignment

public String getAlignment()

### setDeletion

public void setDeletion(int deletion)

### setMatch

public void setMatch(int match)

### setMissMatch

public void setMissMatch(int missMatch)

### toString

public String toString()

Overrides:
  `toString` in class `Object`